Security

Is it possible to force TLS version when using LDAPS for authentication?

New Member

Due to some old equipment in our environment, we need to use TLS 1.0 or 1.1 for our AD authentication. Splunk seems to default to TLS 1.2 which isn't working. Is it possible to force Splunk to use an earlier version or to at least allow for downrevving to an earlier version if 1.2 negotiation doesn't work?

0 Karma

New Member

We were able to get this answered by our Splunk rep, but figured it should be available out there a little easier to find. We had to put the following line in our /opt/splunk/etc/openldap/ldap.conf file to force the specific TLS version:

TLS_CIPHER_SUITE TLSv1+RSA:!EXPORT:!NULL

0 Karma
Don’t Miss Global Splunk
User Groups Week!

Free LIVE events worldwide 2/8-2/12
Connect, learn, and collect rad prizes
and swag!